require( "scripts/style.lua" );


function QueueMakeDialog( t )
 f = function() MakeDialog(t) end; 
 QueueFunctionMiniGame(f);
end

function QueueDisplayDialog( t )
 f = function() DisplayDialog(t) end; 
 QueueFunctionMiniGame(f);
end 

--ITEMS:  0=schedule(clock)    |    1=organization(brief)    |    2=fun(bear)
sT = {};
sT[0]=0;	sT[1]=0;	sT[2]=1;	sT[3]=1;	sT[4]=1;	sT[5]=0;	sT[6]=0;	sT[7]=0;	sT[8]=0;
sT[9]=2;	sT[10]=1;	sT[11]=0;	sT[12]=0;	sT[13]=2;	sT[14]=0;	sT[15]=0;	sT[16]=1;	sT[17]=0;
sT[18]=0;	sT[19]=1;	sT[20]=2;	sT[21]=0;	sT[22]=0;	sT[23]=0;	sT[24]=0;	sT[25]=1;	sT[26]=2;
sT[27]=2;	sT[28]=1;	sT[29]=0;	sT[30]=0;	sT[31]=0;	sT[32]=1;	sT[33]=0;	sT[34]=1;	sT[35]=2;
sT[36]=0;	sT[37]=1;	sT[38]=0;	sT[39]=2;	sT[40]=2;	sT[41]=2;	sT[42]=1;	sT[43]=1;	sT[44]=2;
sT[45]=2;	sT[46]=2;	sT[47]=0;	sT[48]=1;	sT[49]=0;	sT[50]=2;	sT[51]=0;	sT[52]=0;	sT[53]=0;
sT[54]=0;	sT[55]=0;	sT[56]=0;	sT[57]=1;	sT[58]=2;	sT[59]=0;	sT[60]=0;	sT[61]=0;	sT[62]=2;
sT[63]=0;	sT[64]=1;	sT[65]=1;	sT[66]=1;	sT[67]=0;	sT[68]=2;	sT[69]=2;	sT[70]=2;	sT[71]=2;
sT[72]=1;	sT[73]=2;	sT[74]=0;	sT[75]=0;	sT[76]=2;	sT[77]=0;	sT[78]=0;	sT[79]=0;	sT[80]=0;

function Tutorial()	
	local nanny = GetNannyNumber();
		
	-- INITIALIZATION
	--SetSelectingState(12);
	InitTable();
	Yield();
	-- INITIALIZATION - END
	
	-- INIT SPRITE CURSOR
	--SetMouseVisible(false);
	InitSpriteCursor(200,130);
	Yield();
	-- INIT SPRITE CURSOR - END
	
	QueueDisplayDialog({"scripts/tutorialmodal.lua", tutorialNumber="1", nannyNumber=nanny});
	Yield();	
	
	QueueDisplayDialog({"scripts/tutorialmodal.lua", tutorialNumber="2", nannyNumber=nanny});
	Yield();
	
	QueueDisplayDialog({"scripts/tutorialmodal.lua", tutorialNumber="3", nannyNumber=nanny});
	Yield();

	--SELECTING PATH LENGTH 3
	MoveMouseTo(0,2);
	Yield();
	SelectFirstItem(0,2);
	Yield();
	
	--Sleep(1000);
	--Yield();
	
	MoveMouseTo(0,3);
	Yield();
	SelectItem(0,3);
	Yield();
	
	--Sleep(10);
	--Yield();
	
	MoveMouseTo(0,4);
	Yield();
	SelectItem(0,4);
	Yield();
	
	--Sleep(10)
	--Yield();
	
	FinishSelection();
	Yield();
	--SELECTING PATH LENGTH 3 - END
	
	Sleep(15);
	Yield();
	
	MoveMouseTo(2,8);
	Yield();
	SelectFirstItem(2,8);
	Yield();
	
	--Sleep(1000);
	--Yield();
	
	MoveMouseTo(3,8);
	Yield();
	SelectItem(3,8);
	Yield();
	
	--Sleep(10);
	--Yield();
	
	MoveMouseTo(4,8);
	Yield();
	SelectItem(4,8);
	Yield();
	
	--Sleep(10)
	--Yield();
	
	FinishSelection();
	Yield();
	--SELECTING PATH LENGTH 3 - END
	
	Sleep(15);
	Yield();
	
	MoveMouseTo(7,0);
	Yield();
	SelectFirstItem(7,0);
	Yield();
	
	--Sleep(1000);
	--Yield();
	
	MoveMouseTo(6,0);
	Yield();
	SelectItem(6,0);
	Yield();
	
	--Sleep(10);
	--Yield();
	
	MoveMouseTo(6,1);
	Yield();
	SelectItem(6,1);
	Yield();
	
	--Sleep(10)
	--Yield();
	
	FinishSelection();
	Yield();
	--SELECTING PATH LENGTH 3 - END
	
	Sleep(15);
	Yield();
	
	QueueDisplayDialog({"scripts/tutorialmodal.lua", tutorialNumber="4", nannyNumber=nanny});
	Yield();
	
	Remix();
	Yield();
	
	EnableCursor(false);
	Yield();
	
	--FINALIZE SCRIPT
	EnableTutorial(false);
	--FINALIZE SCRIPT - END
end



return Tutorial;
